%define anolis_release 1

Name:           keentune-ui
Version:        2.1.0
Release:        %{?anolis_release}%{?dist}
Url:            https://gitee.com/anolis/keentune_ui
Summary:        KeenTune web UI
Vendor:         Alibaba
License:        MulanPSLv2
Source:         https://gitee.com/anolis/keentune_ui/repository/archive/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
KeenTune UI rpm package

%prep
%setup -n %{name}-%{version}

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/share/keentune/html
mkdir -p ${RPM_BUILD_ROOT}/etc/httpd/conf.d

cp -rf build ${RPM_BUILD_ROOT}/usr/share/keentune/html
cp -f keentune.conf ${RPM_BUILD_ROOT}/etc/httpd/conf.d


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
httpd_conf=%{_sysconfdir}/httpd/conf/httpd.conf
if [ -f ${httpd_conf} ]; then
  sed -i "0,/Require all denied*/s//#Require all denied/" ${httpd_conf}
fi

%postun
httpd_conf=%{_sysconfdir}/httpd/conf/httpd.conf
if [ -f ${httpd_conf} ]; then
  sed -i "0,/#Require all denied*/s//Require all denied/" ${httpd_conf}
fi


%files
%defattr(0644,root,root, 0755)
%license LICENSE
%doc README.md
%dir %{_sysconfdir}/httpd/conf.d
%dir %{_datadir}/keentune/html

%{_datadir}/keentune/html
%{_sysconfdir}/httpd/conf.d

%changelog
* Wed Mar 22 2023  Pengtao Jia <wb-jpt471562@alibaba-inc.com> - 2.1.0
- Add: UI support relative path for profile set and profile delete
- Fix: Other important bug fixes

* Thu Jan 12 2023  Pengtao Jia <wb-jpt471562@alibaba-inc.com> - 2.0.0
- Add: Add new and group management knowledge profiles for One-click Expert Tuning

* Thu Oct 27 2022  Pengtao Jia <wb-jpt471562@alibaba-inc.com> - 1.4.0
- Add: UI support keentune Init Setting
- Add: UI support Parameter Auto-tuning
- Add: UI support Sensitive parameter identification

* Fri Jul 15 2022  Pengtao Jia <wb-jpt471562@alibaba-inc.com> - 1.3.0
- Add: UI support One-click Expert Tuning

